Name: findutils
Version: 4.1.20
Release: alt1

Summary: The GNU versions of find utilities (find and xargs)
License: GPL
Group: File tools

Source: ftp://ftp.gnu.org/pub/gnu/%name-%version.tar.bz2

Patch11: %name-4.1.7-alt-texinfo.patch
Patch12: %name-4.1.7-alt-doc-delete.patch

Patch21: %name-4.1.20-rh-doc.patch
Patch22: %name-4.1.20-rh-xargs-usage.patch
Patch23: %name-4.1.20-rh-xargs-i.patch

Patch31: %name-4.1.20-owl-delete.patch
Patch32: %name-4.1.20-owl-alt-warnings.patch
Patch33: %name-4.1.20-owl-alt-gnulib-warnings.patch

Requires(post): %install_info
Requires(preun): %uninstall_info

Provides: /bin/find, /bin/xargs

# Automatically added by buildreq on Thu Aug 07 2003
BuildRequires: glibc-devel-static

%package -n find-static
Summary: Static version of the GNU find
Group: File tools
Requires: %name = %version-%release

%description
The %name package contains programs which will help you locate files
on your system:
+ the find utility searches through a hierarchy of directories
  looking for files which match a certain set of criteria
  (such as a filename pattern);
+ the xargs utility builds and executes command lines from standard
  input arguments (usually lists of file names generated by the find
  command).

%description -n find-static
This package contains statically linked version of the GNU find program.

%prep
%setup -q
%patch11 -p1
%patch12 -p1

%patch21 -p1
%patch22 -p1
%patch23 -p1

%patch31 -p1
%patch32 -p1
%patch33 -p1

%build
%__subst -p 's/ locate / /' Makefile*

%add_optflags -D_GNU_SOURCE
%configure --bindir=/bin
%make_build CFLAGS="$RPM_OPT_FLAGS -Werror"

# Build find.static
pushd find
	mv find find.dynamic
	make find LDFLAGS=-static
	mv find find.static
	mv find.dynamic find
popd

%install
%makeinstall bindir=$RPM_BUILD_ROOT/bin
%__mkdir_p $RPM_BUILD_ROOT%_bindir
for n in find xargs; do
	%__ln_s "../../bin/$n" $RPM_BUILD_ROOT%_bindir/
done

# Install find.static
%__install -p -m755 find/find.static "$RPM_BUILD_ROOT%_bindir/"

%find_lang %name

%post
%install_info find.info

%preun
%uninstall_info find.info

%files -f %name.lang
/bin/find
/bin/xargs
%_bindir/find
%_bindir/xargs
%_mandir/man?/find*
%_mandir/man?/xargs*
%_infodir/find.info*
%doc AUTHORS NEWS README THANKS

%files -n find-static
%_bindir/find.static

%changelog
* Sun Aug 10 2003 Dmitry V. Levin <ldv@altlinux.org> 4.1.20-alt1
- 4.1.20 (upstream changed), regenerated patches.
- Removed alt-process_dir patch.

* Thu Aug 07 2003 Dmitry V. Levin <ldv@altlinux.org> 4.1.7-alt7
- Merged rh patches:
  rh-doc
  rh-xargs-usage
  rh-xargs-i
- Merged owl patches:
  owl-alt-warnings
- Build with -Werror.
- Patched makefiles to avoid build locate subdir.
- Build statically linked version of the GNU find program
  and package it into find-static subpackage.

* Tue Sep 17 2002 Stanislav Ievlev <inger@altlinux.ru> 4.1.7-alt6
- rebuild with gcc3

* Thu Apr 11 2002 Dmitry V. Levin <ldv@alt-linux.org> 4.1.7-alt5
- Remove /bin/locate and /bin/updatedb (suddenly appeared in -alt4).

* Sun Apr 07 2002 Dmitry V. Levin <ldv@alt-linux.org> 4.1.7-alt4
- Reworked find/process_dir (using fchdir).
- Added "-delete" option (imported from Owl).

* Sat Jan 19 2002 Dmitry V. Levin <ldv@alt-linux.org> 4.1.7-alt3
- Relocated utilities from /usr/bin to /bin.

* Thu Jan 03 2002 Stanislav Ievlev <inger@altlinux.ru> 4.1.7-alt2
- removed e2compr support, 'cause goldhead removed it from e2fsprogs.
- fixed bug #0000074

* Thu Jun 28 2001 Stanislav Ievlev <inger@altlinux.ru> 4.1.7-alt1
- 4.1.7

* Fri Nov 24 2000 Dmitry V. Levin <ldv@fandra.org> 4.1.1-ipl7mdk
- FHSification.
- Fixed texinfo documentation.

* Mon May 29 2000 Dmitry V. Levin <ldv@fandra.org> 4.1.1-ipl6mdk
- RE adaptions.

* Sat May 20 2000 Dmitry V. Levin <ldv@fandra.org>
- Merged MDK patches for alpha.

* Sun Apr  2 2000 Dmitry V. Levin <ldv@fandra.org>
- Merged RH patches.

* Wed Sep 23 1999 Dmitry V. Levin <ldv@fandra.org>
- Feature: e2compr patch.
- Fandra adaptions.

* Fri Aug 13 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- 4.1.1

* Mon Apr 12 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add the xargs patch overflow from RedHat.

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale

* Mon Feb  8 1999 Jeff Johnson <jbj@redhat.com>
- remove further updatedb remnants (#1072).

* Thu Dec 03 1998 Cristian Gafton <gafton@redhat.com>
- added patch for glibc21

* Mon Nov 16 1998 Erik Troan <ewt@redhat.com>
- removed locate stuff (as we now ship slocate)

* Wed Jun 10 1998 Erik Troan <ewt@redhat.com>
- updated updatedb cron script to not look for $TMPNAME.n (which was
  a relic anyway)
- added -b parameters to all of the patches

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Mar 09 1998 Michael K. Johnson <johnsonm@redhat.com>
- make updatedb.cron use mktemp correctly
- make updatedb use mktemp

* Sun Nov 09 1997 Michael K. Johnson <johnsonm@redhat.com>
- nobody should own tmpfile
- ignore /net

* Wed Nov 05 1997 Michael K. Johnson <johnsonm@redhat.com>
- made updatedb.cron do a better job of cleaning up after itself.

* Tue Oct 28 1997 Donald Barnes <djb@redhat.com>
- fixed 64 bit-ism in getline.c, patch tacked on to end of glibc one

* Thu Oct 23 1997 Erik Troan <ewt@redhat.com>
- added patch for glibc 2.1

* Fri Oct 17 1997 Donnie Barnes <djb@redhat.com>
- added BuildRoot support

* Tue Oct 14 1997 Michael K. Johnson <johnsonm@redhat.com>
- made updatedb.cron work even if "nobody" can't read /root
- use mktemp in updatedb.cron

* Sun Sep 14 1997 Erik Troan <ewt@redhat.com>
- added missing info pages
- uses install-info

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built with glibc

* Mon Apr 21 1997 Michael K. Johnson <johnsonm@redhat.com>
- fixed updatedb.cron
